/*
Theme Name:   Stax Child
Theme URI:    https://www.organicthemes.com/theme/stax-theme
Description:  Child-Theme für das STAX-Theme
Author:       Ihr Name
Author URI:   Ihre Website
Template:     organic-stax
Version:      1.6.0
Text Domain:  stax-child
*/

#wp--skip-link--target > div > div.wp-block-group.alignwide.is-layout-grid.wp-container-core-group-is-layout-884707fd.wp-block-group-is-layout-grid img {
    filter: grayscale(100%);
    transition: filter 0.3s ease; /* optional für weichen Übergang */
}

#wp--skip-link--target > div > div.wp-block-group.alignwide.is-layout-grid.wp-container-core-group-is-layout-884707fd.wp-block-group-is-layout-grid img:hover {
    filter: grayscale(0%);
}

.flexbox.events {
  display: flex;
	  flex-wrap: wrap;
	column-gap: 36px;
	margin: 0 -36px 0 0;
}

.flexbox.events > div.veran {
  width: calc(25% - 36px) !important;
	margin-bottom: 36px;
	background-color: #fff;
	position: relative;

}
.flexbox.events .imagebox {
	position: relative;
	line-height: 0;
}
.flexbox.events .imagebox .rand {
	position: absolute;
	border: 1px solid #fff;
	z-index: 10;
	pointer-events: none;
	left: 30px;
	top: 30px;
	bottom: 30px;
	right: 30px;
	width: auto;
	
	height: auto;
	    transition: all 0.3s ease; 
	
}

.flexbox.events > div.veran:hover  .imagebox .rand {
	position: absolute;
	border: 1px solid #fff;
	z-index: 10;
	pointer-events: none;
	left: 20px;
	top: 20px;
	bottom: 20px;
	right: 20px;
	width: auto;
	
	height: auto;
	    transition: all 0.3s ease; 
	
}

.relative {
	position: relative;
	margin-block-start: 0px;
}


.zeitraum {
	    font-size: 16px;
	font-weight: 700;
	display: flex;
}


.zeitraum input {
	   width: 38%;
}
.person .rand {
	position: absolute;
	border: 1px solid #fff;
	z-index: 10;
	pointer-events: none;
	left: 10px;
	top: 10px;
	bottom: 10px;
	right: 10px;
	width: auto;
	
	height: auto;
	    transition: all 0.3s ease; 
	margin-block-start: 0px;
	
}

.person:hover .rand {
	position: absolute;
	border: 1px solid #fff;
	z-index: 10;
	pointer-events: none;
	left: 15px;
	top: 15px;
	bottom: 15px;
	right: 15px;
	width: auto;
	
	height: auto;
	    transition: all 0.3s ease; 
	
}


.obb-link-content {
	position: relative;
}


.obb-link-content .rand {
	position: absolute;
	border: 1px solid #fff;
	z-index: 10;
	pointer-events: none;
	left: 10px;
	top: 10px;
	bottom: 10px;
	right: 10px;
	width: auto;
	
	height: auto;
	    transition: all 0.3s ease; 
	
}


.wp-block-obb-link-block:hover .obb-link-content   .rand {
	position: absolute;
	border: 1px solid #fff;
	z-index: 10;
	pointer-events: none;
	left: 15px;
	top: 15px;
	bottom: 15px;
	right: 15px;
	width: auto;
	
	height: auto;
	    transition: all 0.3s ease; 
	
}





.flexbox.events > div.veran .textbox  {
	padding: 20px 20px 40px 20px;

}


.veran h2 {
	font-size:  clamp(0.929rem, 0.929rem + ((1vw - 0.2rem) * 0.72), 1.4rem) !important;
	text-decoration: none;
	color: #ff2e2e;
}


.veran h6 {
	font-size: 0.75rem !important;
	text-decoration: none;
	color: #656D77 !important;
	margin: 0;
	padding: 3px 0;
}

.veran h6:nth-child(1) {
	font-weight: 400 !important;

}
.veran a {

	text-decoration: none;

}





.minusmargin {
	margin: 0 -10px;
}
.text-shadow {
	text-shadow: 0px 0px 10px rgba(0,0,0,0.3), 0px 0px 4px rgba(0,0,0,0.2);
}

.redfont {
	color: #ff2e2e;
}
html {
  scroll-behavior: smooth;
}
.filter-wrapper {
  display: flex;
  flex-wrap: wrap;
  
  justify-content: center;
  align-items: flex-start;
  margin: 0 -18px; ;
}

.filter-wrapper > div {
  width: 25%;
	padding: 0 18px;
	box-sizing: border-box;
}
.custom-dropdown {
  position: relative;
  display: inline-block;
  font-family: inherit;

}

button.dropdown-toggle {
  background-color: #fff;
  border: 1px solid #656d6f;
  padding: 10px 14px;
  font-size: 16px;
  border-radius: 0px;
  cursor: pointer;
  width: 100%;
  text-align: left;
}

body > div.wp-site-blocks > header > div {
	padding-top: 44px !important;
}

body > div.wp-site-blocks > header > div > div.wp-block-group{
	    align-items:flex-start;
}


#modal-1-content {
	padding-top: 9px;
}
#wp--skip-link--target > div > div.wp-block-group.alignwide.is-layout-grid.wp-container-core-group-is-layout-6e43047b.wp-block-group-is-layout-grid > div > div > h3 {
	margin: 0;
}





.wp-block-navigation__responsive-container:not(.is-menu-open) .wp-block-navigation__container > .wp-block-navigation-item > .wp-block-navigation__submenu-container::after {
	display: none !important;
}

#modal-1-content > ul > li.wp-block-navigation-item > ul > li.wp-block-navigation-item > a  {
	    display: block;
    text-align: center;
}
.is-layout-constrained > :where(:not(.alignleft):not(.alignright):not(.alignfull)) {
    stroke: #656d6f !important;
}
.site-header .is-transparent:not(.scrolling) .wp-block-navigation__container > li > .wp-block-navigation__submenu-icon > svg {
     stroke: #656d6f !important;
}
button.dropdown-toggle:hover {
   top: -0px;
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0);
    cursor: pointer;
}

.header-wrapper.peter {
  transition: top 0.5s ease-in-out;
  top: 0;
  width: 100%;
  z-index: 999;
	position: fixed;
}

.site-header .header-wrapper.peter.is-transparent {
  transition: top 0.5s ease-in-out !important;
}
.header-wrapper.peter.is-hidden {
  top: -280px; /* Passe die Höhe entsprechend deinem Header an */

}


@media screen and (min-width: 600px) {
    .site-header .is-transparent:not(.scrolling) .wp-block-navigation__container > .wp-block-navigation-item > a {
        color: #383f40 !important;
    }
}


.bg {
	    background-color: #f2eee8;
    width: calc(100% + 24px);
    position: absolute;
    top: -36px;
	left: -24px;
    height: 134px;
	max-width: inherit;
	border-bottom: 1px solid #dddddd;
	z-index: -10;
}

.dropdown-menu {
  display: none;
    position: absolute;
    top: 39px;
    left: 18px;
    z-index: 10;
    background-color: #fdfdfd;
    border: 1px solid #656d6f;
 
    width: calc(100% - 36px);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    margin: 0;
      padding: 8px 0;
	box-sizing: border-box;
}

.dropdown-menu li {
  padding: 6px 14px;
	margin: 0;
  cursor: pointer;
  transition: background 0.2s ease;
	list-style-type: none;
}

.dropdown-menu li:hover {
  background-color: #eee;
	top: 0;
}

.dropdown-menu .highlight {
  color: #e94c3d;
  font-weight: bold;
}

.search-container {
  display: flex;
  align-items: center;
  border: 0x solid #ccc;

  overflow: hidden;
 
}


.search-container input {
  padding: 10px;
  font-size: 16px;
  border: none;
  flex-grow: 1;
  color: #333;
}


.search-container input[type='text'] {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    font-family: inherit;
    font-size: 1rem;
    line-height: 1.4;
    padding: 8px !important;
    border-radius: 3px;
    border-style: solid;
    border-width: 2px;
    border-color: var(--wp--preset--color--light-gray);
}


.search-container input:focus {
  outline: none;
}

.search-container button {
  padding: 10px 14px;
  background-color: #fff;
  border: none;
  cursor: pointer;
  font-size: 18px;
  color: #333;
}

.search-container button:hover {
  background-color: #eee;
}










.month tr td.spacer {
		background-color: #f2eee7 !important;
}

.kyv .month table {
	background-color: #fff;

}



.kyv .year {
    position: relative;
    border: 2px solid #052E65;
	font-size: 16px;
}

.kyv .year-inner {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 500px;
}

.kyv .year h1 {
    margin: 0 0 20px;
    height: 48px;
    text-align: center;
    background: #052E65;
    color: #fff;
    line-height: 2em;
}

.kyv .month {
    display: block;
    float: left;
    vertical-align: top;
    padding: 0;
    margin: 0 10px 20px 10px;
    width: 260px;
    height: 224px;

}

.kyv h3 {
    margin: 0;

    background: #052E65;
    color: #fff;
    text-align: center;
    line-height: 28px;
}


.kyv table {
    width: 260px;
    height: 168px;
    border-spacing: 0;
    border-collapse: collapse;
    background: #eee;
}

.kyv th,
.kyv td {
    margin: 0;
    padding: 0;
    border: 0;
    height: 28px;
    line-height: 28px;
    text-align: center;
	font-weight: 700;
	color: #000;
}

.kyv td.today,
.kyv td:hover {
    color: red;
}

.kyv thead th {
    background: lightblue;
}




/* controls*/

.kyv-controls {
    padding: 20px;
}

.kyv-button{
    display: inline-block;
    margin: 0 20px 0 0;
    line-height: 1.5em;
    padding: 0 8px;

    border: 1px solid #a0a0a0;

    color: #000;
    background: #eee;
    border-radius: 2px;
    cursor: pointer;
}

.kyv-button.showAll.active {
    color: #fff;
    background: #052E65;
}


.kyv-next,
.kyv-prev {
    display: inline-block;
    margin: 0 20px 0 0;

    height: 20px;
    width: 30px;
    line-height: 1.5em;
    padding: 0 8px;

    border: 1px solid #a0a0a0;
    background: #eee;
    border-radius: 2px;
    cursor: pointer;
}





.kyv-tooltip {
  display:none;
  position:absolute;
	z-index: 50;
  border:1px solid #333;
  background-color:#161616;
  border-radius:5px;
  padding:10px;
  max-width: 350px;
  color:#fff;
  font-size:12px;
}







/* ------------- Clearfix ------------- */

div.clearfix:after {
    content: ".";
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
}
div.clearfix {
    display: inline-block;
    font-size: 0;
    line-height: 0;
}
/* Hides from IE-mac */
* html div.clearfix {height: 1%;}
div.clearfix {display: block; font-size: 0; line-height: 0;}
/* End hide from IE-mac */







/* ------------ kOOL Year View ------------ */
.kyv-button {
	margin: 10px 20px 0 0 !important;
	padding: 3px 13px !important;
	border: none !important;
	border-radius: 0 !important;
	font-size: 16px;

}
.kyv-button.active {
	text-decoration: underline;
}

.kyv-controls {
	padding: 20px 10px !important;
}

.kyv-navigation {
	clear: both;
	margin-top: 10px;
	text-align: right;
}
span.kyv-prev,
span.kyv-next {
	background: #000 !important;
	color: #fff !important;
	border: none !important;
	width: auto !important;
	height: auto !important;
	font-size: 22px;
	line-height: 27px !important;
	padding: 2px 10px !important;
	border-radius: 16px !important;
	margin: 0 0 0 20px;
}

.kyv .year {
	border: none !important;
}
.kyv .month {
	width: 306px !important;
}
.kyv table {
	width: 306px !important;
}
.kyv thead th {
	background: #000 !important;
	color: #fff !important;
}

body.grps .kyv th.empty,
body.grps .kyv td.empty {
    background: #00ff3f;
}


body .kyv th.spacer,
body .kyv td.spacer {
    background: none;
}

div.year h3 {
	font-weight: 700;
	line-height: 20px;
	font-size: 16px;
	padding: 3px 0;
	background: #e10019;
}


td.eg15, .kyv-button { background: #00ff3f; }
td.eg15, .kyv-button.eg15 { background: #ff0000; }
td.eg19, .kyv-button.eg19 { background: #00ff3f; }
td.eg34, .kyv-button.eg34 { background: #ff9f00; }
td.eg15.eg34, .kyv-button.eg15.eg34 {
									background: -ms-linear-gradient(top, #ff0000 0%, #ff0000 50%, #ff9f00 50%, #ff9f00 100%);
									background: -moz-linear-gradient(top, #ff0000 0%, #ff0000 50%, #ff9f00 50%, #ff9f00 100%);
									background: -o-linear-gradient(top, #ff0000 0%, #ff0000 50%, #ff9f00 50%, #ff9f00 100%);
									background: -webkit-gradient(top, #ff0000 0%, #ff0000 50%, #ff9f00 50%, #ff9f00 100%);
									background: -webkit-linear-gradient(top, #ff0000 0%, #ff0000 50%, #ff9f00 50%, #ff9f00 100%);
									background: -linear-gradient(top, #ff0000 0%, #ff0000 50%, #ff9f00 50%, #ff9f00 100%);
									}
td.eg34.eg15, .kyv-button.eg34.eg15 {
									background: -ms-linear-gradient(top, #ff9f00 0%, #ff9f00 50%, #ff0000 50%, #ff0000 100%);
									background: -moz-linear-gradient(top, #ff9f00 0%, #ff9f00 50%, #ff0000 50%, #ff0000 100%);
									background: -o-linear-gradient(top, #ff9f00 0%, #ff9f00 50%, #ff0000 50%, #ff0000 100%);
									background: -webkit-gradient(top, #ff9f00 0%, #ff9f00 50%, #ff0000 50%, #ff0000 100%);
									background: -webkit-linear-gradient(top, #ff9f00 0%, #ff9f00 50%, #ff0000 50%, #ff0000 100%);
									background: -linear-gradient(top, #ff9f00 0%, #ff9f00 50%, #ff0000 50%, #ff0000 100%);
									}


 .kyv th.empty,  .kyv td.empty {
    background: #00ff3f;
}


.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__container .wp-block-navigation-item.wp-block-navigation-submenu {
	    padding-right: 46px;
	    padding-left: 46px;
	width: auto;
 
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__container .wp-block-navigation-item {
	
	width: auto !important;
 
}


.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__container > .wp-block-navigation-submenu .dropdown-arrow {

    top: -0px !important;
font-size: 18px !important;
    border: 0px solid !important;
}

.wp-block-navigation:not(.has-background) .wp-block-navigation__responsive-container.is-menu-open {
   background-color: #f2eee7;
}




@media (max-width: 1024px) {
	
	
	
  /* Hamburger-Menü anzeigen */
  .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: block !important;
  }

  /* Desktop-Menü ausblenden */
  .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
    display: none !important;
  }
	
	.flexbox.events > div.veran {
  width: calc(33.333% - 36px) !important;
	margin-bottom: 36px;
	background-color: #fff;

}


	
	
	
}

@media (min-width: 1024px) {
  /* Hamburger-Menü ausblenden */
  .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: none !important;
  }

  /* Desktop-Menü anzeigen */
  .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
    display: flex !important;
  }
}




@media (max-width: 700px) {
	
	

	
	.flexbox.events > div.veran {
  width: calc(100% - 36px) !important;
	margin-bottom: 36px;
	background-color: #fff;

}


